[python-periodictable] 08/09: Add autopkgtest tests to module packages
Stuart Prescott
stuart at debian.org
Sun Nov 5 04:19:22 UTC 2017
This is an automated email from the git hooks/post-receive script.
stuart pushed a commit to branch master
in repository python-periodictable.
commit 4f96157056869dfcbc36f0a546600cb308529e22
Author: Stuart Prescott <stuart at debian.org>
Date: Sun Nov 5 15:12:38 2017 +1100
Add autopkgtest tests to module packages
---
debian/tests/control | 17 +++++++++++++++++
debian/tests/python-periodictable | 12 ++++++++++++
debian/tests/python3-periodictable | 12 ++++++++++++
3 files changed, 41 insertions(+)
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..dc061cb
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,17 @@
+Tests: python-periodictable
+Restrictions: allow-stderr
+Depends:
+ python-all,
+ python-docutils,
+ python-matplotlib,
+ python-periodictable,
+ python-pytest
+
+Tests: python3-periodictable
+Restrictions: allow-stderr
+Depends:
+ python3-all,
+ python3-docutils,
+ python3-matplotlib,
+ python3-periodictable,
+ python3-pytest
diff --git a/debian/tests/python-periodictable b/debian/tests/python-periodictable
new file mode 100755
index 0000000..8dbbe36
--- /dev/null
+++ b/debian/tests/python-periodictable
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e -u
+export PYTHONWARNINGS=d
+export MPLBACKEND=Agg
+
+cp -a test doc pytest.ini "$ADTTMP"
+
+cd "$ADTTMP"
+
+for py in $(pyversions -i); do
+ $py -m pytest test doc
+done
diff --git a/debian/tests/python3-periodictable b/debian/tests/python3-periodictable
new file mode 100644
index 0000000..45557b9
--- /dev/null
+++ b/debian/tests/python3-periodictable
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e -u
+export PYTHONWARNINGS=d
+export MPLBACKEND=Agg
+
+cp -a test doc pytest.ini "$ADTTMP"
+
+cd "$ADTTMP"
+
+for py in $(py3versions -i); do
+ $py -m pytest test doc
+done
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/python-periodictable.git
More information about the debian-science-commits
mailing list